#!/usr/bin/perl -w
# Example Synopsis CipUX::Object

use CipUX::Object;

my $obj = CipUX::Object->new();

# After installation, or you have to copy it there
my $cfg = '/usr/share/cipux/etc/cipux-object.perl';

my $cfg_hr = $obj->cfg( { cfg => $cfg } );

my $type_ar = $obj->list_type( { cfg_coupling_hr => $cfg_hr->{coupling}, } );

foreach my $type ( @{$type_ar} ) {
    print "Valid CipUX Object Type: $type\n"
      or die 'Can not print to STDOUT!';
}

